# Mailversand konfigurieren
class ubuntu_server::postfix($root_emails,$relayhost = "mailer.gwdg.de") {

    package{['mailutils','postfix']:
        ensure => present,
    }

    file_line{'postfix_cfg_1':
        path => "/etc/postfix/main.cf",
        line => "relayhost = $relayhost",
        match => "^relayhost",
        require => [ Package["mailutils"], Package["postfix"] ],
    } ~> Service['postfix']

    service{'postfix':
        ensure => running,
    }

    mailalias{'root':
        recipient => $root_emails,
    } ~> Exec["mail-alias-refresh"]

    exec { "mail-alias-refresh":
        path => $path,
        command => "newaliases",
        refreshonly => true,
    } ~> Service['postfix']
}
