# puppet agent auf cron umstellen
class ubuntu_server::puppet_agent($nightly_only="false",$on_reboot_once="true"){

    $puppet_cron_time = fqdn_rand(28,'puppet_cron_time') + 1

    File{
        owner => root,
        group => root,
        mode => 644,
    }

    if $nightly_only == "true" {
        file{'/etc/cron.d/puppet-cron':
            ensure => present,
            content => "${puppet_cron_time}/30 2-5/1 * * * root puppet agent --onetime --no-daemonize --logdest syslog\n",
        } -> Service['puppet']
    } else {
        file{'/etc/cron.d/puppet-cron':
            ensure => present,
            content => "${puppet_cron_time}/30 * * * * root puppet agent --onetime --no-daemonize --logdest syslog\n",
        } -> Service['puppet']
    }

    if $on_reboot_once == "true" {
        file{'/etc/cron.d/puppet-cron-reboot':
            ensure => present,
            content => "@reboot root sleep 3m ; puppet agent --onetime --no-daemonize --logdest syslog\n",
        } -> Service['puppet']
    }

    service{'puppet':
        ensure => stopped,
        enable => false,
    }

}
